Đến nội dung


Hình ảnh

Tính năng hay của Block


  • Please log in to reply
231 replies to this topic

#221 conghoa

conghoa

    biết lệnh attdef

  • Members
  • PipPipPipPipPipPip
  • 411 Bài viết
Điểm đánh giá: 88 (tàm tạm)

Đã gửi 13 November 2013 - 09:09 AM

@nautugong Bạn post file của bạn lên đây đi


  • 0

#222 hamhochoi_0000

hamhochoi_0000

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 24 March 2014 - 12:15 AM

chân thành cảm ơn tác giả! bài viết rất bổ ích!


  • 0

#223 cakiem3587

cakiem3587

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 September 2014 - 01:36 PM

không biết lấy một phần bản vẽ ra như thế nào nhỉ?(khoanh lấy một vùng hình bất kì).Hôm nay định copy thêm một bản rồi trim,extrim để được vùng mình khoanh.không biết họ block kiểu gì mà mình ko tác động được.mà làm kiểu này cũng rất thủ công.bạn nào pro chỉ giúp với.


  • 0

#224 ceddtu

ceddtu

    biết vẽ spline

  • Members
  • PipPip
  • 90 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 26 September 2014 - 12:32 PM

trang 1 hình die hết rồi, có ai sửa giúp với ạ.


  • 0
Đời vắng mẹ hiền không phụ nữ.
Anh hùng thi sĩ hỏi còn đâu !

#225 vncc_huong

vncc_huong

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 24 April 2015 - 06:56 PM

Chích xác là 2.54...

 Cái này là do 02 bản vẽ của bạn không có cùng một Units. Bạn vào format --> Units rồi chỉnh cho units của 02 bản vẽ giống nhau là được.


  • 0

#226 vncc_huong

vncc_huong

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 24 April 2015 - 07:01 PM

các anh cho hỏi mình làm theo hướng dẫn nhưng tại sao khi click vào thi chỉ có hình tam giác chạy đi nà block không đi theo nhi.

Mình cũng đang bị trường hợp như vậy, có cao thủ nào chỉ giúp mình với, cám ơn rất nhiều ạ.


  • 0

#227 phuong44e1

phuong44e1

    Edu level: li4

  • Members
  • PipPip
  • 63 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 27 June 2015 - 11:59 PM

Có bác nào biết về Dynamic block trong ZW cad không giúp mình với
Mình bình thwowngf dùng hang cack cad 2010, nhwng giờ vào cty nó dùng ZW cad 2015 của Hồ Cẩm Đào thì phải
có cái là cái dynamic block nó không cho swar các đối twowngj trong đó và hàm (vlax-invoke blk 'getdynamicblockproperties)thì nó báo là không hiểu)
Ai biết giúp mình với. Làm sao để nó nhận đwowcj cái hàm này?
  • 0

#228 taybacincc

taybacincc

    biết vẽ circle

  • Members
  • PipPip
  • 34 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 30 June 2015 - 09:40 AM

Các bác cho e hỏi làm sao để tạo cái block động mà kéo dãn ở 2 đầu như cái block ở trong file e đính kèm.

Em thì vẫn dùng Stretch 1 đầu thì ok nhưng 2 đầu thì không làm được. Em lấy ví dụ đơn giản như sau:

     - Có Block trong đó có 1 đường line. Bây giờ e muốn tạo dạng block động dạng Stretch: khi kéo thì trung điểm của line giữ nguyên, còn 2 đầu dài ra

       như nhau.

Cảm ơn các bác đã quan tâm.

http://www.cadviet.c...ong_keo_dan.dwg


  • 0

#229 vncc_huong

vncc_huong

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 August 2015 - 10:34 PM

Chích xác là 2.54...

Bạn vào Format --> Units... Sau đó chuyển hệ đo lường của hai bản vẽ giống nhau là ok liền


  • 0

#230 vncc_huong

vncc_huong

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 August 2015 - 10:47 PM

1. Làm sao Stretch phương X mà phương Y Stretch theo: quan sát Properties (mở bảng Properties bằng Ctrl+1) của 2 nút Action Stretch có sẵn bạn sẽ thấy:
+ Nút Stretch đầu tiên (vùng chọn là hình chữ nhật bên phải cửa) có Distance Multiplier = 1Angle Offset = 0
+ Nút Stretch kế tiếp (vùng chọn là hình chữ nhật bên trên cánh cửa) có Distance Multiplier = 1Angle Offset = 90
Do đó, khi bạn Stretch chiều rộng cửa 1 đoạn L thì chiều dài cánh cánh cửa (vuông góc 90 độ với cửa) cũng Stretch theo 1 đoạn bằng L.
2.Block của bạn còn phải hiệu chỉnh khá nhiều vấn đề:
a. Các Parameter chưa được đặt tên, chú thích và Set Value (hiệu chỉnh thông số). Cần hiệu chỉnh như sau:
- Đặt tên (Distance name) là "RCUA". Rất có ích khi sau này trích xuất dữ liệu.
- Chú thích (Distance description) là "Chiều rộng cửa". Trực quan: khi để con trỏ vào vị trí điều khiển của block, dòng này sẽ hiện lên.
- Dist type chọn "increment", Dist increment = 50 , Dist minimum = 700, Dist maximum có thể có giá trị hoặc không. Khi bấm vào nút khiển để chỉnh độ rộng cửa, bạn sẽ thấy độ dài sẽ nhảy cóc từng đoạn = 50. Cửa nên khống chế độ rộng nhỏ nhất là 600 + 2 đố = 700 (đâu có cửa nào rộng 2-3 tấc).
b. Các Action cũng chưa đặt tên cho dễ hiệu chỉnh (Ví dụ đặt tên cho Action Stretch thứ hai là "StretchRCUA-90")
c. Trục đối xứng của cửa: khi đã insert và hiệu chỉnh độ rộng, bạn sẽ không muốn cái cửa của bạn nhảy qua nhảy lại quanh điểm chèn (insert point). Cần hiệu chỉnh như sau:
- Tạo Basepoint tại vị trí insert point của block
- Chọn vị trí trục đối xứng tại điểm giữa của chiều rộng cửa.
- Tại Parameter "RCUA" tạo thêm Action Move có giá trị Distance Multiplier = 0.5 và chọn đối tượng là trục đối xứng (Ý nghĩa: mỗi khi tăng giảm độ rộng cánh cửa 1 đơn vị thì trục đối xứng sẽ tăng giảm tương ứng 0.5 đơn vị)
- Thêm điểm Basepoint vào hiệu ứng đối xứng: Kích chuột phải vào nút biểu tượng đối xứng và chọn Action selection Set -> Modify selection set -> chọn Basepoint đã tạo.
Xem bản vẽ acadv2010: http://www.cadviet.c...3/1833_rcua.dwg
1833_rcua.jpg

Bạn ơi, hướng dẫn mình cách làm cụ thể được không, cám ơn bạn nhiều nhé.


  • 0

#231 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 30 August 2015 - 11:46 AM

Các bác cho e hỏi làm sao để tạo cái block động mà kéo dãn ở 2 đầu như cái block ở trong file e đính kèm.

Em thì vẫn dùng Stretch 1 đầu thì ok nhưng 2 đầu thì không làm được. Em lấy ví dụ đơn giản như sau:

     - Có Block trong đó có 1 đường line. Bây giờ e muốn tạo dạng block động dạng Stretch: khi kéo thì trung điểm của line giữ nguyên, còn 2 đầu dài ra

       như nhau.

Cảm ơn các bác đã quan tâm.

http://www.cadviet.c...ong_keo_dan.dwg

 

Bạn Pick vào Parameter Distance -> Bấm Ctrol+1 -> Mục Misc -> Base location -> Chọn Midpoint


  • 1

#232 Binh-Storm

Binh-Storm

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 17 May 2016 - 11:36 PM

Cho mình hỏi sao không thấy hình minh họa trong bài vậy?


  • 0